RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1677516 - The Japanese Era name will be changed on 2019-05-01 / component java-11-openjdk / rhel7
Summary: The Japanese Era name will be changed on 2019-05-01 / component java-11-openj...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-11-openjdk
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: OpenJDK QA
URL:
Whiteboard:
Depends On:
Blocks: 1644888 1688571 1707454
TreeView+ depends on / blocked
 
Reported: 2019-02-15 06:46 UTC by Christian Horn
Modified: 2021-08-30 13:06 UTC (History)
7 users (show)

Fixed In Version: java-11-openjdk-11.0.3.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1677512
Environment:
Last Closed: 2019-08-06 12:42:57 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2749651 0 Learn more None Does the change of the Japanese Era affect Red Hat Enterprise Linux? 2019-02-15 06:48:54 UTC
Red Hat Product Errata RHBA-2019:2007 0 None None None 2019-08-06 12:43:14 UTC

Description Christian Horn 2019-02-15 06:46:37 UTC
Description of problem:
The Japanese Era name will be changed on 2019-05-01 / component icu / rhel5
openjdk code is referring to the japanese era name.

All openjdk versions are affected.

Expected results:
The upcoming era name should properly be dealed with.

Additional info:
- https://en.wikipedia.org/wiki/Japanese_imperial_transition,_2019
- the new era name has not yet been announced.
- We also have to modify glibc (for example bz1555189) and icu.
- openjdk upstream seems to have implemented the new era now, with name NEWERA, which they
intend to replace then later.  I guess they wanted to be sure to have time to debug
issues they might have with the change itself now that there is time, and later just
want to replace the era.
http://hg.openjdk.java.net/jdk/jdk/rev/2e3f73b616c2
https://bugs.openjdk.java.net/browse/JDK-8202088
https://bugs.openjdk.java.net/browse/JDK-8205432
We are not necessarily requesting this in-between-step, the request of our customers is to have openjdk eventually deal with the new era name.

Comment 1 jiri vanek 2019-03-07 07:25:04 UTC
should be covered by tck in limited scope

Comment 4 Christian Horn 2019-04-23 00:05:05 UTC
Seems to be resolved in https://access.redhat.com/errata/RHSA-2019:0778 .
Should we close this CURRENTRELEASE?

Comment 5 Joe Wright 2019-04-25 12:14:44 UTC
Can we get the release notes updated for this ERRATA if the patch for this was included? The release notes do not include anything regarding updates for the Era change.

Comment 8 errata-xmlrpc 2019-08-06 12:42:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2007


Note You need to log in before you can comment on or make changes to this bug.